<?php
/**
 * Plugin Name: WP - SMS OTP Login
 * Plugin URI: https://wordpress.org/plugins/wp-sms-otp-login/
 * Description: A powerful SMS Messaging/Texting one-time-password login plugin for WordPress
 * Version: 1.0.3
 * Author: SMS.to
 * Author URI: https://sms.to
 * Text Domain: wsol-wp-smsto-otp
 * Domain Path: /languages
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

/**
 * Load Plugin Defines
 */
require_once 'includes/defines.php';

/**
 * Load plugin Special Functions
 */
require_once WSOL_WP_SMS_TO_OTP_DIR . 'includes/functions.php';

    /**
     * Get plugin options
     */
    $wpsmstootp_option = get_option('wpsmstootp_settings');    

    /**
     * Initial gateway
     */
    require_once WSOL_WP_SMS_TO_OTP_DIR . 'includes/class-wpsmstootp-gateway.php';

    $wpsmstootp = wsol_sms_to_otp_initial_gateway();    

    /**
     * Load Plugin
     */
    require WSOL_WP_SMS_TO_OTP_DIR . 'includes/class-wpsmstootp.php';

    new WSOL_WP_SMS_TO_OTP();
