window.$ = jQuery
$(document).ready(function () {
    localStorage['login_stage'] = 'initial';

    session_login_type = $('#session-login-type').val();

    if (session_login_type !== '') { 
        value = session_login_type;
    } else {
        value = 'username_password';
    }
    $("input[name='login_type'][value=" + value + "]").prop('checked', true);
    $('#wpsmstootp-generate-otp').click(function () {
        saveAndSendOtp();
    });
    actionLoginTypeValue();
});

function actionLoginTypeValue() {
    var radioValue = $("input[name='login_type']:checked").val();

    if (radioValue == 'otp') {

        $('body.login div#login form#loginform input#user_login').css('display', 'none');
        $('body.login div#login form#loginform input#user_pass').css('display', 'none');
        $('body.login div#login form#loginform p label').css('display', 'none');
        $('body.login div#login p#nav a').css('display', 'none');
        $('body.login div#login form#loginform p.forgetmenot').css('display', 'none');

        //label for password
        $("label[for='user_pass']").css('display', 'none');
        $('#loginform .wp-pwd button').css('display', 'none');
        $('#wpsmstootp-otp-login-form-id').css('display', 'block');
        $('#wpsmstootp-enter-otp-on-field-below').css('display', 'none');

        $('#id_otp_code').hide();

        //get the value from session so to know which fields to hide and show in case the user moves back and forth
        if (localStorage['login_stage'] == 'initial') {
            $('#id_otp_code').hide();
            $('#wpsmstootp-enter-otp-on-field-below').css('display', 'none');
        }
        if (localStorage['login_stage'] == 'response') {
            $('#id_otp_code').show();
            $('#wpsmstootp-enter-otp-on-field-below').css('display', 'block');
        }

        $('#wpsmstootp-ativation-code').css('width', '100px');

        //Send otp button css
        $('#wpsmstootp-generate-otp').css('width', '100px');
        $('#wpsmstootp-generate-otp').css('height', '40px');
        $('#wpsmstootp-generate-otp').css('background-color', '#0071a1');
        $('#wpsmstootp-generate-otp').css('border-color', '#0071a1');
        $('#wpsmstootp-generate-otp').css('color', '#FFF');

        //Login button css
        $('body.login div#login form#loginform p.submit input#wp-submit').css('background-color', '#0071a1');
        $('body.login div#login form#loginform p.submit input#wp-submit').css('border-color', '#0071a1');
        $('body.login div#login form#loginform p.submit input#wp-submit').css('color', '#FFF');

    } else
    if (radioValue == 'username_password') {

        $('body.login div#login form#loginform input#user_login').css('display', 'block');
        $('body.login div#login form#loginform input#user_pass').prop("disabled", false);
        $('body.login div#login form#loginform input#user_pass').css('display', 'block');
        $('body.login div#login form#loginform input#user_pass').prop("disabled", false);

        $('body.login div#login form#loginform p label').css('display', 'block');
        $('body.login div#login p#nav a').css('display', 'block');
        $('body.login div#login form#loginform p.forgetmenot').css('display', 'block');

        //label for password
        $("label[for='user_pass']").css('display', 'block');
        //button for show hide password
        $('#loginform .wp-pwd button').css('display', 'block');

        $('#wpsmstootp-otp-login-form-id').css('display', 'none');
        //Login button css 
        $('body.login div#login form#loginform p.submit input#wp-submit').css('background-color', '#0071a1');
        $('body.login div#login form#loginform p.submit input#wp-submit').css('border-color', '#0071a1');
        $('body.login div#login form#loginform p.submit input#wp-submit').css('color', '#FFF');
        $('body.login div#login form#loginform').css('width', '350px');
    }
}

/**
 * Save and Send OTP
 * 
 * @author Christodoulou Panikos
 * @email christodoulou.panicos@cytanet.com.cy
 * @return message
 */

function saveAndSendOtp() {

    //disable the button to prevent misuse of subsequent clicks
    $('#wpsmstootp-generate-otp').prop('disabled', true);
    $('#wpsmstootp-mobile-phone').css('display', 'block');
    $('#wpsmstootp-enter-otp-on-field-below').css('display', 'none');
    $('#wpsmstootp-send-otp-on-above-mobile-phone').css('display', 'block');

    localStorage['login_stage'] = "initial";

    var mobile_phone = $('#wpsmstootp-mobile_phone').val();
    var ajaxurl = $('#ajax-url').val();

    var data = {
        'action': 'wsol_sms_to_save_and_send_otp_login',
        'post_type': 'POST',
        'mobile_phone': mobile_phone,
        'name': 'Save and Send OTP'
    };

    jQuery.post(ajaxurl, data, function (response) {

        if (response['message'] == 'technical problem') {
            localStorage['login_stage'] = "initial";
            $('#wpsmstootp-generate-otp').prop('disabled', false);
            $('#wpsmstootp-generate-otp').prop('value', 'Send');

            $('#id_otp_code').hide();
            $('#message').css('color', '#FF0000');
            $('#message').html('Messaging is currently unavailable - Please try later');
        }
        if (response['message'] == 'insufficient balance') {
            localStorage['login_stage'] = "initial";
            $('#wpsmstootp-generate-otp').prop('disabled', false);
            $('#wpsmstootp-generate-otp').prop('value', 'Send');
            $('#id_otp_code').hide();
            $('#message').css('color', '#FF0000');
            $('#message').html('Messaging is currently unavailable - Please contact the administrator');
        }

        if (response['message'] == 'blocked') {
            $('#wpsmstootp-generate-otp').prop('disabled', false);
            $('#wpsmstootp-generate-otp').prop('value', 'Re-Send');
            $block_time = response['time'];
            localStorage['login_stage'] = "initial";
            $('#id_otp_code').hide();
            $('#message').css('color', '#FF0000');
            $('#message').html('You have been blocked for ' + $block_time + ' minutes - Please try again later');
        }
        if (response['message'] == 'still valid password') {

            $('#wpsmstootp-generate-otp').prop('disabled', false);
            $('#id_otp_code').show();

            $password_validity = response['password_validity'];

            localStorage['login_stage'] = "response";

            //msg to run when response received
            $('#wpsmstootp-enter-otp-on-field-below').css('display', 'block');
            //msg to run before any action - before Send
            $('#wpsmstootp-send-otp-on-above-mobile-phone').css('display', 'none');
            //Otp field to be displayed
            $('#wpsmstootp-ativation-code').css('display', 'block');
            $('#wpsmstootp-generate-otp').prop('value', 'Re-Send');
            $('#message').css('color', '#0000FF');
            $('#message').html('The password you have received on your phone is valid for ' + $password_validity + ' seconds. Please use it to login');

        }
        if (response['message'] == 'otp sent') {

            localStorage['login_stage'] = "response";

            //button of Send
            $('#wpsmstootp-generate-otp').prop('disabled', false);
            $('#wpsmstootp-generate-otp').prop('value', 'Re-Send');

            //msg to run when response received
            $('#wpsmstootp-enter-otp-on-field-below').css('display', 'block');
            //msg to run before any action - before Send
            $('#wpsmstootp-send-otp-on-above-mobile-phone').css('display', 'none');

            //Otp field to be displayed
            $('#id_otp_code').show();
            $('#message').css('color', '#0000FF');
            $('#message').html('If a user is associated with this mobile phone, you will receive an OTP - Please use it to login');
        }
    }, 'json');
}