<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

/**
 * Check get_plugin_data function exist
 */
if ( ! function_exists( 'get_plugin_data' ) ) {
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}

// Set Plugin path and url defines.
define( 'WSOL_WP_SMS_TO_OTP_URL', plugin_dir_url( dirname( __FILE__ ) ) );
define( 'WSOL_WP_SMS_TO_OTP_DIR', plugin_dir_path( dirname( __FILE__ ) ) );


// Get plugin Data.
$plugin_data = get_plugin_data( WSOL_WP_SMS_TO_OTP_DIR . 'wp-sms-to-otp.php' );

// Set another useful Plugin defines.
define( 'WSOL_WP_SMS_TO_OTP_VERSION', $plugin_data['Version'] );
define( 'WSOL_WP_SMS_TO_OTP_ADMIN_URL', get_admin_url() );
define( 'WSOL_WP_SMS_TO_OTP_SITE', 'https://sms.to' );
define( 'WSOL_WP_SMS_TO_OTP_MOBILE_REGEX', '/^[\+|\(|\)|\d|\- ]*$/' );
define( 'WSOL_WP_SMS_TO_OTP_CURRENT_DATE', date( 'Y-m-d H:i:s', current_time( 'timestamp' ) ) );